<?php

	function cropImage($source, $destinationDir, $outWidth, $outHeight, $outX, $outY, $quality = 75)
	{
       if (!file_exists($source)) return(false);
       $size = getimagesize($source);
       if ($size === false) return(false);
       $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
       
       $icfunc = 'imagecreatefrom' . $format;
       if (!function_exists($icfunc)) return(false);
       
       $isource = $icfunc($source);
       $image = imagecreatetruecolor($outWidth, $outHeight);
       imagecopyresampled($image, $isource, 0, 0, $outX, $outY, $outWidth, $outHeight, $outWidth, $outHeight);
       imagedestroy($isource);

       $filename = 'tmp.'.$format;
       imagejpeg($image, $destinationDir.'/'.$filename, $quality);
       imagedestroy($image);
       
       return($filename);
   }
 ?>